• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required)

    iFath is an SHSH and APticket dumping application for Windows.

    If you're on iOS 5.0.1 already, then you're out of luck. Fortunately, those of us still on iOS 5.0 can save not only our SHSH blobs but also our APtickets, which are used in Apple's new firmware verification process. What does that mean? It means that if you're on iOS 5.0 right now, and you mess your iDevice up and need to restore (updates to iOS 5.0.1) then you can downgrade back to iOS 5.0 granted you used iFaith to save your APticket before you restored.

    Just to emphasize, if you are on iOS 5.0.1 already, you CANNOT downgrade to iOS 5.0. This is for people who have saved their APtickets on iOS 5.0 as they will be the only ones who can downgrade back from iOS 5.0.1 to iOS 5.0.

    An APticket is a piece of information. It's like a screenshot in a sense. When you are using Apple's iOS 5.0 firmware, your device has an APticket saved for iOS 5.0. When you update to iOS 5.0.1, your APticket changes to an iOS 5.0.1 APticket. This is how Apple keeps you from downgrading. By using iFaith, you can save not only your SHSH blobs, but also your current (iOS 5.0) APticket. That means that you can use the APticket that you had for iOS 5.0 to downgrade back to iOS 5.0 from iOS 5.0.1 since your iOS 5.0 APticket is still valid. If you don't save your APticket when you are on iOS 5.0, then your new APticket is the one that is given to you by iOS 5.0.1 which means that you don't have an APticket for iOS 5.0. Since you won't have an APticket for iOS 5.0 and you only have one for iOS 5.0.1, you can't downgrade back to iOS 5.0; iOS 5.0.1 is the lowest you will be able to go.

    Hopefully I clarified that enough for you all, honestly I barely even knew what iFaith did and I needed to research it a bit myself so bear with me.

    Currently, iFaith only supports Windows, as iH8sn0w is a Windows user himself. He is also the famed developer behind Sn0wbreeze which is also a Windows-only jailbreak tool. At this point in time, we don't know if a Mac version will be released, but all Macs can run Windows, so there's no issue with compatibility here.

    iFaith 1.4 for Windows can be downloaded for free here.

    iFaith release notes:
    PHP Code:
    iFaith v1.4 Release notes:
    ======================================
    Now dumps iOS 4.4.(Apple TV 2)/5.0.x apticket SHSH blobs!
    Dumping is MUCH faster.
    Full Windows XP support.
    Major code improvements.
    Bug fixes.

    **************************************
    ** 
    DOES NOT SUPPORT A5 DEVICES YET! **
    **************************************

    ======================================
    Now available athttp://iH8sn0w.com
    ======================================
    // iH8sn0w

    "You gotta believe in the voltage that lives inside us,
    So lets buckle up and break our walls down. (Whooooaahhoo)"
    -- @Skrillex 
    I recommend dumping your SHSH and APtickets if you're on iOS 5.0. It will make downgrading back to iOS 5.0 possible for you in the future (in fact, right now). Will you be downloading and using iFaith 1.4? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required) started by Anthony Bouchard View original post
    Comments 115 Comments
    1. jose060789's Avatar
      jose060789 -
      Quote Originally Posted by iYeow View Post
      Not yet , still waiting for untethered jailbreak at 5.0



      No, you can't . You need to dump your ifaith blob first while you were at 5.0.


      I tried to dump ifaith blob for my 3gs old bootrom at 5.0 and ifaith says it is not needed as shsh is not required and a message says "all you need is just restore to custom firmware of 5.0". Hmmm, wonder if this is true
      So I'm too late?
    1. Orby's Avatar
      Orby -
      Everybody in this thread right now needs to be like the Fonz.

      What is the Fonz like?

      Cool.

      Everybody be cool and cut the insults.
    1. s0ulp1xel's Avatar
      s0ulp1xel -
      Mac version???
    1. deefruben's Avatar
      deefruben -
      someone should make a way for us to make our own AP tickets
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by Orby View Post
      Everybody in this thread right now needs to be like the Fonz.


      Everybody be cool and cut the insults.
      Never heard of FONZ.


      See you're abusing your power as mod you deleted my perfectly said comments. There was no insult of any sort.

      Ill write it again i'll keep writing it until I get my point across.


      For the mouth guy xclusiveiphone

      I got facts

      Here is few for you.

      1. Dev team is struggling for find workaround solution to the shsh blobs signing to help idevice users downgrade

      2. No untethered jailbreak yet is found for A5 chip.

      3. Most of the programs dev's are working on are for iPhone 4 like iFaith.

      4. Apple is making it harder by each update, patching holes those dev-team had open

      I got more facts just ask.
    1. xclusiveiphone's Avatar
      xclusiveiphone -
      Quote Originally Posted by delusion950 View Post
      Never heard of FONZ.


      See you're abusing your power as mod you deleted my perfectly said comments. There was no insult of any sort.

      Ill write it again i'll keep writing it until I get my point across.


      For the mouth guy xclusiveiphone

      I got facts

      Here is few for you.

      1. Dev team is struggling for find workaround solution to the shsh blobs signing to help idevice users downgrade

      2. No untethered jailbreak yet is found for A5 chip.

      3. Most of the programs dev's are working on are for iPhone 4 like iFaith.

      4. Apple is making it harder by each update, patching holes those dev-team had open

      I got more facts just ask.
      1. Stating the obvious.
      2. Stating the obvious.
      3. Are you a dev, how do you know what other devs are doing?
      4. Stating the obvious.

      Now tell me something we all don't already know. Admin isn't abusing his power, your just keep posting useless post that isn't helping anyone.
    1. iN2K's Avatar
      iN2K -
      So I followed all the steps in the program and decided to do a clean restore to 5.0.1. Now I can't downgrade!
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by xclusiveiphone View Post
      1. Stating the obvious.
      2. Stating the obvious.
      3. Are you a dev, how do you know what other devs are doing?
      4. Stating the obvious.

      Now tell me something we all don't already know. Admin isn't abusing his power, your just keep posting useless post that isn't helping anyone.
      You're the one hoping am just remind you what is going on. You wanted facts didnt you say you wanted facts?? So i gave you some. Am not a dev but i do keep up on the news instead of sitting down and hopping like some people i met on this forum. Now before i go off on you am going to stop because if i say anything else to you am going to get banned from modmyi and you're not worth it

      And about useless posts speak for yourself. Send me a link of one thread you started that was useful info to others.... plz go to sleep
    1. expl0itfinder's Avatar
      expl0itfinder -
      Now i have a problem in which my iPod touch will not boot. it turns on and shows the apple/pwnapple, then reboots five minutes later. I am jailbroken tethered on iOS 5.0, but booting tethered doesn't work anymore, and i need to restore soon. The process of dumping shsh will require tha i put it in dfu mode. Would it all still work in the iPod's state?
    1. iN2K's Avatar
      iN2K -
      Scratch that, missed a step.

      Quote Originally Posted by expl0itfinder View Post
      Now i have a problem in which my iPod touch will not boot. it turns on and shows the apple/pwnapple, then reboots five minutes later. I am jailbroken tethered on iOS 5.0, but booting tethered doesn't work anymore, and i need to restore soon. The process of dumping shsh will require tha i put it in dfu mode. Would it all still work in the iPod's state?
      Try it, if you can get it to DFU mode it will show you the process.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by Orby View Post
      It is indeed true. SHSH blobs are NOT written to disk on 24kpwn (old bootrom) jailbroken 3GS units. No blobs to check, no blobs to cull, everybody wins.
      Wait, so does this mean that blobs that I've downloaded from TU for my 3Gs will allow me to go to 5.0 even though I'm on 4.3.3 right now? This is the first I've heard that the new Blobs do not affect the 3Gs old bootrom. Can anyone verify?

      Thanks in advance.
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by Tario70 View Post
      Wait, so does this mean that blobs that I've downloaded from TU for my 3Gs will allow me to go to 5.0 even though I'm on 4.3.3 right now? This is the first I've heard that the new Blobs do not affect the 3Gs old bootrom. Can anyone verify?

      Thanks in advance.
      If it was me if you really have no reason to go to ios5 i suggest you stay on 4.3.5 until 100%. This way you wont have to touch anything. I know it's tempting am like that too but when things go wrong i get sleepless nights and lose days working out problems that i should've never created.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by delusion950 View Post
      If it was me if you really have no reason to go to ios5 i suggest you stay on 4.3.5 until 100%. This way you wont have to touch anything. I know it's tempting am like that too but when things go wrong i get sleepless nights and lose days working out problems that i should've never created.
      I'm on 4.3.3 right now & though I'm on AT&T, I've preserved my baseband at 05.13.04 (the last unlockable baseband) so the only way I'll go to iOS 5 is with a custom firmware. I had thought about going to 5.0 with redsn0w & even created the IPSW for it, but I held off hoping for an iBooks fix which never came. Now 5.0.1 is out & redsn0w hasn't been updated & there's zero info on the iBooks fix from MuscleNerd. I know I could use sn0wbreeze, but I've had nothing but problems with the program so I tend to steer clear of everything that isn't Dev-Team related. Again, that's just been my experience.

      I'm in no rush to go to iOS 5 yet, just was curious as to whether this was true as it was the first I have heard of it.

      Thanks.
    1. swifty7's Avatar
      swifty7 -
      I guess us 4s owners are truly S.O.L forever....damn!!!! should have bought the 4!!!!
    1. Imahottguy's Avatar
      Imahottguy -
      Mac version? I couldn't find one, does anyone know about iFaith for mac?
    1. spoon's Avatar
      spoon -
      Quote Originally Posted by Imahottguy View Post
      Mac version? I couldn't find one, does anyone know about iFaith for mac?
      Read the article please. It clearly states that it's a Windows only application.
    1. WTFX's Avatar
      WTFX -
      This restored some of my faith in the jb hacking community.. I know, very punny...
    1. csglinux's Avatar
      csglinux -
      Quote Originally Posted by Tario70 View Post
      I'm on 4.3.3 right now & though I'm on AT&T, I've preserved my baseband at 05.13.04 (the last unlockable baseband) so the only way I'll go to iOS 5 is with a custom firmware. I had thought about going to 5.0 with redsn0w & even created the IPSW for it, but I held off hoping for an iBooks fix which never came. Now 5.0.1 is out & redsn0w hasn't been updated & there's zero info on the iBooks fix from MuscleNerd. I know I could use sn0wbreeze, but I've had nothing but problems with the program so I tend to steer clear of everything that isn't Dev-Team related. Again, that's just been my experience.

      I'm in no rush to go to iOS 5 yet, just was curious as to whether this was true as it was the first I have heard of it.

      Thanks.
      Don't update to 5.0.1! Ultrasn0w hasn't yet been updated to work with 5.0.1 and you won't be able to unlock until that happens.
    1. Cucumbijuana's Avatar
      Cucumbijuana -
      So even though I have my SHSH saved for 5.0, I still can't downgrade unless if I can get myself this APticket? There's also no way for me to get my APticket from just SHSH blobs either? That's.......Unfortunate.
    1. SwatPac's Avatar
      SwatPac -
      It's sad, but I've given up on jailbreaking. I think it's about time to say goodbye. Every jailbreak takes longer and longer, and devs are dropping like flies. It was fun while it lasted. R.I.PJAILBREAK